###########################################################
### Ch3 - Script 1 - Load Data
###########################################################

###########################################################
### Packages
###########################################################
library(here)
library(tidyverse)

library(GThomsonThesis)
library(ggpubr)
library(ggtree)

###########################################################
### Data
###########################################################

# Load tree data
TPS_tree <- here("Data/Alignments/TPS_tree.newick") %>% 
  read.tree()

# Load flowering time data
FTdata <- here("Data/Ch3_flowering_time.csv") %>% 
  read_csv() %>% 
  ftRename()

# Load gene expression data
gene_expr <- here("Data/Ch3_gene_expression.csv") %>% 
  read_csv()

# Compare mutants
compare <- here("Data/Ch3_compare_fta1_mutants.csv") %>% 
  read_csv()
