###########################################################
### Ch3 - Script 5 - Figures
###########################################################

###########################################################
### Screening
###########################################################
ggarrange(screening_graph, 
          ggarrange(NULL, NULL,
                    labels = c("i", "ii")),
          labels = c("A", "B"),
          widths = c(1, 2))

ggsave(here("Ch3_screening_graph.png"), width = 340, height = 85, units = "mm")

###########################################################
### Flowering time
###########################################################
flowering_graph

ggsave(here("Ch3_flowering_graph.pdf"), width = 280, height = 150, units = "mm")

###########################################################
### TPS tree
###########################################################

# Full tree
TPS_tree_circ <- ggtree(TPS_tree, layout="circular", branch.length="none", size=1.25) + 
  geom_hilight(node=43, fill=g_colours[1], alpha=.4) + 
  geom_tippoint(color=g_colours[2], size=3) 

# Subtree
TPS_sub_labs <- as.character(1:71)
TPS_sub_labs[43:49] <-  as.character(c(100, 100, 98.8, 61.7, 65.9, 70.7, 100))

TPS_tree_square <- ggplot(TPS_tree, aes(x, y)) + 
  geom_tree(size=2) + 
  theme_tree()  + 
  geom_text2(aes(subset=!isTip, label=node), hjust=-.3)

TPS_tree_square <- viewClade(TPS_tree_square, node=43) + 
  geom_tiplab(size = 8) + 
  geom_label(aes(subset=!isTip, label=TPS_sub_labs), size = 9) + 
  geom_tippoint(color=g_colours[2], size=5)


###########################################################
### Gene Expression
###########################################################
ggarrange(NULL,
  ggarrange(primerpairB, primerpairC, 
            ncol = 2, labels = c("B", "C")),
  nrow = 2, heights = c(1, 2),
  labels = c("A", "")
)

ggsave(here("Ch3_gene_expression.pdf"), width = 320, height = 155, units = "mm")

